X2Go Bug report logs - #871
SysTray checkbox in shortcut creation window has no effect on Windows

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mihai Moldovan <ionic@ionic.de>

Date: Wed, 13 May 2015 22:55:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.3.2

Fixed in version 4.0.4.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #14 received at control@bugs.x2go.org (full text, mbox, reply):

Received: (at control) by bugs.x2go.org; 25 May 2015 02:36:07 +0000
From x2go@ymir.das-netzwerkteam.de  Mon May 25 04:36:05 2015
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=ham version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id B1F805DA86; Mon, 25 May 2015 04:36:05 +0200 (CEST)
From: Mihai Moldovan <ionic@ionic.de>
To: 871-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 871@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20150525023605.B1F805DA86@ymir.das-netzwerkteam.de>
Date: Mon, 25 May 2015 04:36:05 +0200 (CEST)
tag #871 pending
fixed #871 4.0.4.0
thanks

Hello,

X2Go issue #871 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=08ef3bc

The issue will most likely be fixed in src:x2goclient (4.0.4.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 08ef3bcbfd19f1f7ab8486b21f62afb171f15031
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Mon May 25 04:19:55 2015 +0200

    sessionexplorer.cpp: use a better shared logic for generating an arguments list for calling x2goclient.exe from a desktop shortcut.
    
    Respect the tray icon option also on Windows.
    
    Fixes: #871.

diff --git a/debian/changelog b/debian/changelog
index 23500bc..41af179 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -427,6 +427,9 @@ x2goclient (4.0.4.0-0x2go1) UNRELEASED; urgency=low
         + wapi.cpp
     - sshmasterconnection.cpp: fix typo in last commit leading to a compile
       failure, correct content, remove superfluous newlines.
+    - sessionexplorer.cpp: use a better shared logic for generating an
+      arguments list for calling x2goclient.exe from a desktop shortcut.
+      Respect the tray icon option also on Windows. Fixes: #871.
 
   [ Fernando Pedemonte ]
   * New upstream release (4.0.4.0):


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 6 13:13:22 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.